Redmine - Defect #25339

Markdown: list renders only with leading newline
2017-03-15 19:07 - Dietmar H

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version:

Description

With Text formatting set to Markdown, the following doesn't render correctly:
List:

* item 1

* item 2

In order to have the list items rendered (with bullet point and indentation), a leading newline is necessary, like this:

List:

* item 1
* item 2

My team mates continue creating lists which don't render because of this anti-intuitive syntax.
In github and other markdown based systems | haven't seen this behaviour, thus | think it's a bug.

Observed in Redmine 3.3.1

Related issues:

Is duplicate of Redmine - Patch #28119: Enable lax_spacing for markdown forma... Closed

History

#1 - 2018-03-31 07:25 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #28119.

#2 - 2018-03-31 07:25 - Go MAEDA

- Is duplicate of Patch #28119: Enable lax_spacing for markdown formatting in order to allow markdown blocks not surrounded by empty lines added
https://www.redmine.org/issues/28119
http://www.tcpdf.org

